package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.entity.SysMenu;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 仓库文件对象 sys_repo
 * 
 * @author liyingjin
 * @date 2025-05-15
 */
public class SysRepo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 仓库Id */
    private Long repoId;

    private Long createBy;
    /** 名称 */
    @Excel(name = "名称")
    private String repoName;

    /** 类别（目录、文件） */
    @Excel(name = "类别", readConverterExp = "目录、文件")
    private String repoType;

    /** 状态（私密、公开） */
    @Excel(name = "状态", readConverterExp = "私密、公开")
    private String repoStatus;

    /** 父级 */
    @Excel(name = "父级")
    private Long parentId;

    /** 等级（一级只能是目录类型） */
    @Excel(name = "等级", readConverterExp = "一级只能是目录类型")
    private Long repoLevel;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDelete;

    /** url */
    private String  url;

    private List<SysMenu> children = new ArrayList<SysMenu>();

    public Long getRepoId() 
    {
        return repoId;
    }

    public void setRepoName(String repoName) 
    {
        this.repoName = repoName;
    }

    public String getRepoName() 
    {
        return repoName;
    }

    public void setRepoType(String repoType) 
    {
        this.repoType = repoType;
    }

    public String getRepoType() 
    {
        return repoType;
    }

    public void setRepoStatus(String repoStatus) 
    {
        this.repoStatus = repoStatus;
    }

    public String getRepoStatus() 
    {
        return repoStatus;
    }

    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }

    public void setRepoLevel(Long repoLevel) 
    {
        this.repoLevel = repoLevel;
    }

    public Long getRepoLevel() 
    {
        return repoLevel;
    }

    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public void setIsDelete(Integer isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() 
    {
        return isDelete;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public List<SysMenu> getChildren()
    {
        return children;
    }

    public void setChildren(List<SysMenu> children)
    {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("repoId", getRepoId())
            .append("repoName", getRepoName())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("repoType", getRepoType())
            .append("repoStatus", getRepoStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("parentId", getParentId())
            .append("repoLevel", getRepoLevel())
            .append("description", getDescription())
            .append("isDelete", getIsDelete())
            .append("url", getIsDelete())
            .toString();
    }
}
